' ########################################################################################
' SAPI example
' Changes the voice used by the speech engine.
' ########################################################################################

#COMPILE EXE
#DIM ALL
#INCLUDE ONCE "SAPIUTILS.INC"

' ========================================================================================
' Main
' ========================================================================================
FUNCTION PBMAIN () AS LONG

   LOCAL hr AS LONG
   LOCAL pISpVoice AS IspVoice
   LOCAL wszText AS STRING
   LOCAL ulStreamNumber AS DWORD

   ' Create an instance of the ISpVoice interface
   pISpVoice = NEWCOM CLSID $CLSID_SpVoice
   IF ISNOTHING(pISpVoice) THEN EXIT FUNCTION

   ' Set the voice using the helper function SpSetVoice
   hr = SpSetVoice(pISpVoice, "Microsoft Mary")

   ' Speak some text
   wszText = UCODE$("Hello everybody" & $NUL)
   pISpVoice.Speak(STRPTR(wszText), %SPF_DEFAULT, ulStreamNumber)
   pISpVoice.WaitUntilDone(&HFFFFFFFF)

   pISpVoice = NOTHING

END FUNCTION
' ========================================================================================
